Bug 129574 - STLport link errors
Summary: STLport link errors
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-10 14:44 UTC by Dan Williams
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 15:58:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source for problem file 1 (599.47 KB, text/plain)
2004-08-10 14:45 UTC, Dan Williams
no flags Details
asm from problem file 1 (956.85 KB, text/plain)
2004-08-10 14:46 UTC, Dan Williams
no flags Details
preprocessed source from problem file 2 (588.67 KB, text/plain)
2004-08-10 14:47 UTC, Dan Williams
no flags Details

Description Dan Williams 2004-08-10 14:44:31 UTC
glibc-common-2.3.3-39

STLport builds inside OpenOffice.org now fail with link errors, where
last week they did not.

`.L5350' referenced in section `.rodata' of
../lib/obj/GCC/ReleaseD/locale_impl.o: defined in discarded section
`.gnu.linkonce.t._ZNK4_STL9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERiRNS_12basic_stringIwS3_NS_9allocatorIwEEEE'
of ../lib/obj/GCC/ReleaseD/locale_impl.o
`.L5408' referenced in section `.rodata' of
../lib/obj/GCC/ReleaseD/locale_impl.o: defined in discarded section
`.gnu.linkonce.t._ZNK4_STL9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERiRNS_12basic_stringIwS3_NS_9allocatorIwEEEE'
of ../lib/obj/GCC/ReleaseD/locale_impl.o
`.L5471' referenced in section `.rodata' of
../lib/obj/GCC/ReleaseD/locale_impl.o: defined in discarded section
`.gnu.linkonce.t._ZNK4_STL9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERiRNS_12basic_stringIwS3_NS_9allocatorIwEEEE'
of ../lib/obj/GCC/ReleaseD/locale_impl.o
`.L5535' referenced in section `.rodata' of
../lib/obj/GCC/ReleaseD/locale_impl.o: defined in discarded section
`.gnu.linkonce.t._ZNK4_STL9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERiRNS_12basic_stringIwS3_NS_9allocatorIwEEEE'
of ../lib/obj/GCC/ReleaseD/locale_impl.o
`.L5625' referenced in section `.rodata' of
../lib/obj/GCC/ReleaseD/locale_impl.o: defined in discarded section
`.gnu.linkonce.t._ZNK4_STL9money_getIwNS_19istreambuf_iteratorIwNS_11char_traitsIwEEEEE6do_getES4_S4_bRNS_8ios_baseERiRNS_12basic_stringIwS3_NS_9allocatorIwEEEE'
of ../lib/obj/GCC/ReleaseD/locale_impl.o
`.L7771' referenced in section `.rodata' of
../lib/obj/GCC/ReleaseD/locale_impl.o: defined in discarded section
`.gnu.linkonce.t._ZNK4_STL9money_getIcNS_19istreambuf_iteratorIcNS_11char_traitsIcEEEEE6do_getES4_S4_bRNS_8ios_baseERiRNS_12basic_stringIcS3_NS_9allocatorIcEEEE'
of ../lib/obj/GCC/ReleaseD/locale_impl.o

Comment 1 Dan Williams 2004-08-10 14:45:55 UTC
Created attachment 102566 [details]
preprocessed source for problem file 1

Comment 2 Dan Williams 2004-08-10 14:46:24 UTC
Created attachment 102567 [details]
asm from problem file 1

Comment 3 Dan Williams 2004-08-10 14:47:03 UTC
Created attachment 102568 [details]
preprocessed source from problem file 2

Comment 4 Jakub Jelinek 2004-08-10 17:02:55 UTC
This smells like http://gcc.gnu.org/bugzilla/show_bug.cgi?id=16276#c12
The patch referenced from #c15 might work, though I'll try to hack up
one with .gnu.linkonce.r.* section instead.

Comment 5 Dan Williams 2004-08-16 15:02:45 UTC
This is with gcc 3.3 just so you know

Comment 6 Dan Williams 2004-09-14 15:58:42 UTC
Appears to be OK now.


Note You need to log in before you can comment on or make changes to this bug.